This patch (and evms_bbr.c.patch) allows the BBR plugin to work correctly with
the ext3 filesystem.

Index: include/linux/evms/evms_bbr_k.h
===================================================================
RCS file: /chillywilly/CVS_Root/evms-1.2.0-cvs-root/runtime/linux-2.4/include/linux/evms/evms_bbr_k.h,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- include/linux/evms/evms_bbr_k.h	2002/09/25 20:04:22	1.22
+++ include/linux/evms/evms_bbr_k.h	2002/11/26 22:00:15	1.23
@@ -26,7 +26,7 @@
  */
 
 #ifndef __EVMS_BBR_K__
-#define __EVMS_BBR_K__
+#define __EVMS_BBR_K__ 1
 
 #define EVMS_BBR_VERSION_MAJOR			1
 #define EVMS_BBR_VERSION_MINOR			1
@@ -163,7 +163,7 @@
  * @in_use_replacement_blks:	Current number of remaps.
  * @remap_root:			Binary tree containing all remaps.
  * @bbr_id_lock:		Lock for the binary tree.
- * @flags:			BBR_STOP_REMAP
+ * @flag:			BBR_STOP_REMAP
  */
 struct bbr_private {
 	struct bbr_private		* next;
@@ -200,12 +200,8 @@
 struct bbr_io_buffer {
 	struct list_head	bbr_io_list;
 	struct bbr_private	* bbr_id;
-	struct buffer_head	* bh;
-	void 			(* org_end_io)(struct buffer_head *bh, int uptodate);
-	void			* org_private;
-	u64			org_rsector;
+	struct buffer_head	* org_bh;
 	struct completion	* complete;
-	kdev_t			org_dev;
 	s32			rw;
 	s32			rc;
 };
